Package org.eclipse.ecf.remoteservice

# Interface IRemoteCallListener

All Known Implementing Classes:
  `AbstractRemoteCallListener`, `CallbackRemoteCallListener`

public interface IRemoteCallListener
Listener for remote call events. The IRemoteService.callAsynch method supports the specification of a listener to receive and handle the results of a remote call asynchronously. When non-null instance of a class implementing this interface is provided to the IRemoteService.callAsynch method, it will subsequently have it's `handleEvent(IRemoteCallEvent)` method called with

1. An event that implements IRemoteCallStartEvent
2. An event that implements IRemoteCallCompleteEvent

Note these methods will be called asynchronously when notifications of remote changes are received by the provider implementation code. The provider is free to call the methods below with an arbitrary thread, so the implementation of these methods must be appropriately prepared.

For example, if the code implementing any of these methods must interact with user interface code, then it should use code such as the following to execute on the SWT UI thread:

            Display.getDefault().asyncExec(new Runnable() {
                    public void run() {
                    ... UI code here
                    }
            });

Further, the code in the implementations of these methods should not block via I/O operations or blocking UI calls.

See Also:
  - `IRemoteService`

## Method Summary

Modifier and Type
Method
Description
`void`
`handleEvent(IRemoteCallEvent event)`
Handle remote call events.

## Method Details

### handleEvent

void handleEvent(IRemoteCallEvent event)
Handle remote call events. The two remote call events are IRemoteCallStartEvent, and IRemoteCallCompleteEvent

Parameters:
  `event` - the event. Will not be `null`.